Xalan-Java 2.7.1: Class OpMapVector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.compiler
Class OpMapVector

    java.lang.Object
      |
      +--org.apache.xpath.compiler.OpMapVector

public class OpMapVector
extends java.lang.Object

Like IntVector, but used only for the OpMap array. Length of array is kept in the m_lengthPos position of the array. Only the required methods are in included here.

Usage:
  **For internal use only**

Constructor Summary
`OpMapVector(int blocksize, int increaseSize, int lengthPos)` Construct a OpMapVector, using the given block size.

Method Summary
`int` | `elementAt(int i)` Get the nth element.
`void` | `setElementAt(int value, int index)` Sets the component at the specified index of this vector to be the specified object.
`void` | `setToSize(int size)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpMapVector

    public OpMapVector(int blocksize,
                       int increaseSize,
                       int lengthPos)

  Construct a OpMapVector, using the given block size.
  Parameters:
    `blocksize` - Size of block to allocate

Method Detail

### elementAt

    public final int elementAt(int i)

  Get the nth element.
  Parameters:
    `i` - index of object to get
  Returns:
    object at given index

### setElementAt

    public final void setElementAt(int value,
                                   int index)

  Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded. The index must be a value greater than or equal to 0 and less than the current size of the vector.
  Parameters:
    `value` - object to set
    `index` - Index of where to set the object

### setToSize

    public final void setToSize(int size)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.